function GHF_U1A5b_plotBG(xBG,yBG,NOP)
figureU1A5b_BG=figure('Position',[900 40 250 800]);
title('Y-Ebene')
for i=1:NOP
	if mod(i,2)==0 % even % gerade
		plot(xBG(i),yBG(i),'-r'); % dF(i) mit -dFstep
		axis([0 1 -2 2]); % so bleibt in dem Fenster figureU1A5b_BG die Kreislinie kreisfoermig
		hold on
	else % odd
		plot(xBG(i),yBG(i),'-r'); % dF(i) mit +dFstep
		axis([0 1 -2 2]); % so bleibt in dem Fenster figureU1A5b_BG die Kreislinie kreisfoermig
		hold on
	end
end
text('Interpreter','latex','String','$$Y_2(f)$$',...
	'Position',[1/2*max(xBG) 1/4*max(yBG)],...
	'FontSize',12,'color','r'); % Y2
hold on

% Zeichne einn passendes Kreis
[circleX_BG,circleY_BG]=GHF_circlePoints(0,2*pi,1/2,1000);
plot(circleX_BG,circleY_BG,'-b');
hold on
% Textmarke
text('Interpreter','latex','String','$$Y_1(f)$$',...
	'Position',[1/2*max(xBG) -1/4*max(yBG)],...
	'FontSize',12,'color','b'); % Y1
hold on
% Achsenbeschriftung
xlabel('$$G/mS$$','Interpreter','Latex');
ylabel('$$jB/mS$$','Interpreter','Latex');
%axis square;
hold on
