clear all
clf
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GHF, Uebungsblatt 6, Aufgabe 2

% AUFGABENSTELLUNG:
% Gegeben sei folgende Anordnung aus zwei Hertz'schen Dipolen.
% Beide Dipole werden mit dem gleichen Strom I=I1=I2 erregt.
% Berechnen und skizzieren Sie die Richtcharakteristik dieser Anordnung.
% GEGEBEN: I=I1=I2
dDL=0.75; % dDL ist d/lambda
NOP=1e3; % Anzahl der Funktionswerte zum Plotten
% GESUCHT: Richtcharakteristik

% Horizontaldiagramm: Theta=90Grad-Ebene
Theta=90; % Grad
subplot(1,2,1); % subplot(n,m,p) fuer das Bild #p unterteilt Plot in n Zeilen von je m Bildern
Psi=linspace(0,2*pi,NOP);
C_Psi=abs(cos(pi*dDL*cos(Psi)));
polar(Psi,C_Psi,'-r'); % Keule (Directional)
title('Horizontaldiagramm');

% Vertikaldiagramm: Psi=0Grad-Ebene
Psi=0; % Grad
subplot(1,2,2);
angle=linspace(0,2*pi,NOP);
for Theta=1:NOP
    C_Theta = abs(sin(angle(Theta))) * abs(cos(pi*dDL*sin(angle(Theta))));
    polar(angle(Theta),C_Theta,'-b'); % Keule (Directional)
    hold on
end
title('Vertikaldiagramm');
