function GHF_U1A5b_plotXR(xXR,yXR,NOP)
figureU1A5b_XR=figure('Position',[200 40 500 500]);
title('Z-Ebene')
for i=1:NOP
	if mod(i,2)==0 % even % gerade
		plot(xXR(i),yXR(i),'-r'); % dF(i) mit -dFstep
		hold on
	else % odd
		plot(xXR(i),yXR(i),'-r'); % dF(i) mit +dFstep
		hold on
	end
end

% Textmarke
text('Interpreter','latex','String','$$Z_2(f)$$',...
	'Position',[0.8*min(xXR) -min(yXR)],...
	'FontSize',12,'color','r'); % Z2
hold on
plot([1 1],[-1.1*max(yXR) 1.1*max(yXR)]);
text('Interpreter','latex','String','$$Z_1(f)$$',...
	'Position',[1 1.2*max(yXR)],...
	'FontSize',12,'color','b'); % Z1
hold on

% Achsenbeschriftung
xlabel('$$R/k\Omega$$','Interpreter','Latex');
ylabel('$$jX/k\Omega$$','Interpreter','Latex');
axis square;
hold on
