clear all
clf
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GHF, Uebungsblatt 3, Aufgabe 4

% AUFGABENSTELLUNG:
% Die Impendanz Z soll mithilfe einer lambda/4-Leitung und eines Serienkondensators an 50 Ohm angepasst werden.
% Der Wellenwiderstand der lambda/4-Leitung darf aus konstrukieven Gr?nden nur zwischen 20 Ohm und 80 Ohm betragen:
% Schraffieren Sie in einem auf 50 Ohm normierten Smith-Diagramm den Bereich der Impendanzen Z, der an 50 Ohm angepasst werden kann.
% GEGEBEN:
ZL1_gegeben=50; % Ohm
Zref=50; % Ohm 
ZL2_c=20; % Ohm % Fall a) auf dem Loesungsblatt
ZL2_d=80; % Ohm % Fall b) auf dem Loesungsblatt
% GESUCHT:
% Drehung auf m-Kreis

% Teilaufgabe d)
ZL1=ZL1_gegeben/ZL2_d; % normiert
sprintf('ZL1=%3.3f*%2.0f Ohm',ZL1,ZL2_d)
Z2o=1/ZL1_gegeben*ZL2_d; % Fall b) auf dem Loesungsblatt
sprintf('Z2o=%3.3f*%2.0f Ohm',Z2o,ZL2_d)

GHF_SmithChart(1,0); hold on % Smithdiagramm in der Widerstandsform

% Zeichne ein m-Kreis (magneta Linie)
r_ZL1=(ZL1-1)/(ZL1+1); % Reflexionsfaktor 
Theta_r_Z=atan2(imag(r_ZL1),real(r_ZL1));
Radius_r_Z=sqrt(real(r_ZL1)^2+imag(r_ZL1)^2);
GHF_SmChCirArc(0,0,Radius_r_Z,0,Theta_r_Z,'m','-',2);

% Hilfsobjekte
ZL1=-Radius_r_Z;
plot(ZL1,0,'m*'); hold on
text('Interpreter','latex','String','$$Z_{L1}$$',...
	'Position',[(1-1/5)*ZL1 0.05],...
	'FontSize',12,'color','m'); % ZL1

Z2o=Radius_r_Z;
plot(Z2o,0,'m*'); hold on
text('Interpreter','latex','String','$$Z_{2o}$$',...
	'Position',[(1+1/5)*Z2o 0.05],...
	'FontSize',12,'color','m'); %Z2o
