clear all
clf
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GHF, Uebungsblatt 2, Aufgabe 3

% AUFGABENSTELLUNG:
% Ein Generator mit dem Innenwiderstand Ri=ZL und der Leerlaufspannung U0 bei der Frequenz f0 
% speist eine verlustlose Leitung mit dem Wellenwiderstand ZL und der Laenge l<lambda/4.
ZL=50; % Ohm
% Bei Leerlauf an den Klemmen 2, 2' werden die Spannungen gemessen:
U1L=3.9; % |U|1L in V
U2L=6.0; % |U|2L in V
% Beschaltet man die Klemme 2, 2' mit einer passenden Induktivitaet L, so l??t sich |U|1i=|U|2i einstellen.

% Teilaufgabe a)
% Wie gross ist die auf die Wellenlaenge bezogene Leitungslaenge l/lambda, 
% damit sich im Leerlauf die angegebenen Spannungen U1L und U2L einstellen?
% GESUCHT:
% 1) Rechnerische Loesung:
lDL_r=1/(2*pi)*acos(U1L/U2L); % lDL ist l/lambda
sprintf('Rechnerische Loesung: lDL_r=%3.4f ',lDL_r)
% 2) Alternative Loesung:
phi=acos(U1L/U2L)*180/pi;
psi=2*phi;
lDL_z=(psi/360)*0.5; % lDL ist l/lambda
sprintf('Alternative Loesung: lDL_z=%3.4f ',lDL_z)

% Teilaufgabe b)
% Bestimmen Sie die Groesse w*L.
% GESUCHT:
% 1) Rechnerische Loesung:
l0L_r=1/2*(0.5-lDL_r); % l0L ist l0/lambda
sprintf('Rechnerische Loesung: l0L_r=%3.4f ',l0L_r)
% Induktivitaet mit kurzgeschlossener Leitung der Laenge l0=0.1815:
wL=ZL*tan(2*pi*l0L_r);
sprintf('Rechnerische Loesung: w*L=%3.1f Ohm',wL)
% 2) Alternative Loesung:
l0L_z=1/2*(0.5-lDL_z); % l0L ist l0/lambda                                                                                                                                                  
sprintf('Alternative Loesung: l0L_z=%3.4f ',l0L_z)

% Teilaufgabe c)
% 1) Rechnerische Loesung:
Umax=U2L;
U2i=abs(Umax*sin(2*pi*l0L_r));
sprintf('Rechnerische L?sung: U2i=%3.4f V',U2i)
% 2) Alternative Loesung: 
psi=psi*pi/180;
U2i=abs(Umax*cos(psi/4));
sprintf('Alternative Loesung: U2i=%3.4f V',U2i)
