clear all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GHF, Uebungsblatt 5, Aufgabe 2

% AUFGABENSTELLUNG:
% Bestimmen Sie die Streumatrix [S] der gegebenen verlustfreien lambda/4-Leitung, 
% bezogen auf die Wellewiderst?nde der angeschlossenen Leitungen.
% GEGEBEN:
Z_gegeben=50; % Ohm
ZL1=10; % Ohm
ZL2=50; % Ohm % Leitung der Laenge lambda/4
ZL3=250; % Ohm
% GESUCHT: Sij

Z_LD4=ZL2^2/ZL3; % Z_LD4 ist Z(lambda/4)
Z=Z_LD4;
S11=(Z-ZL1)/(Z+ZL1);
sprintf('S11 = %1.0f + j*(%1.0f) ',real(S11),imag(S11))

Z_LD4=ZL2^2/ZL1;
Z=Z_LD4;
S22=(Z-ZL3)/(Z+ZL3);
sprintf('S22 = %1.0f + j*(%1.0f) ',real(S22),imag(S22))

% reflexionsfrei: a2=0, verlustfrei: |S21|=1
% nur Phasendrehung um -pi/2 durch die lambda/4-Leitung
S21=exp(-j*(2*pi)/4);
sprintf('S21 = %1.0f + j*(%1.0f) ',real(S21),imag(S21))
S12=exp(-j*(2*pi)/4);
sprintf('S12 = %1.0f + j*(%1.0f) ',real(S12),imag(S12))

S=[S11 S12; S21 S22]